export default {
  async toAdd() {
    this.view = 'info';
  },
  async toEdit({ data }) {
    const res = await this.fetch(data._id);
    if (this.$checkRes(res)) {
      this.$set(this, `form`, res.data);
      this.view = 'info';
    } else {
      this.$message.error('未找到指定数据');
    }
  },
  async toDelete({ data }) {
    const res = await this.delete(data._id);
    if (this.$checkRes(res, '操作成功', '操作失败')) {
      this.$refs.ctable.changePage();
    }
  },
  toBack() {
    this.form = {};
    this.view = 'list';
  },
};
